> ## Documentation Index
> Fetch the complete documentation index at: https://www.algolia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Feedback

> Update an existing feedback entry.

**Required ACL:** `search`

## Usage

```cs C# theme={"system"}
// Initialize the client
var client = new AgentStudioClient(
  new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);

// Call the API
var response = await client.UpdateFeedbackAsync(
  new FeedbackUpdateRequest
  {
    MessageId = "msg-abc123",
    AgentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
  }
);

// print the response
Console.WriteLine(response);
```

```dart Dart theme={"system"}
// Initialize the client
final client = AgentStudioClient(
    appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');

// Call the API
final response = await client.updateFeedback(
  feedbackUpdateRequest: FeedbackUpdateRequest(
    messageId: "msg-abc123",
    agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
  ),
);

// print the response
print(response);
```

```go Go theme={"system"}
// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
  // The client can fail to initialize if you pass an invalid parameter.
  panic(err)
}

// Call the API
response, err := client.UpdateFeedback(client.NewApiUpdateFeedbackRequest(

  agentStudio.NewEmptyFeedbackUpdateRequest().SetMessageId("msg-abc123").SetAgentId("76710f1b-8231-42e5-b0d1-f43aac618e15")))
if err != nil {
  // handle the eventual error
  panic(err)
}


// print the response
print(response)
```

```java Java theme={"system"}
// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");

// Call the API
FeedbackResponse response = client.updateFeedback(
  new FeedbackUpdateRequest().setMessageId("msg-abc123").setAgentId("76710f1b-8231-42e5-b0d1-f43aac618e15")
);

// print the response
System.out.println(response);
```

```js JavaScript theme={"system"}
// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
const response = await client.updateFeedback({
  messageId: 'msg-abc123',
  agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15',
});


// print the response
console.log(response);
```

```kotlin Kotlin theme={"system"}
// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
var response =
  client.updateFeedback(
    feedbackUpdateRequest =
      FeedbackUpdateRequest(
        messageId = "msg-abc123",
        agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
      )
  )


// print the response
println(response)
```

```php PHP theme={"system"}
// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
$response = $client->updateFeedback(
    ['messageId' => 'msg-abc123',
        'agentId' => '76710f1b-8231-42e5-b0d1-f43aac618e15',
    ],
);


// print the response
var_dump($response);
```

```python Python theme={"system"}
# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.update_feedback(
    feedback_update_request={
        "messageId": "msg-abc123",
        "agentId": "76710f1b-8231-42e5-b0d1-f43aac618e15",
    },
)


# print the response
print(response)
```

```ruby Ruby theme={"system"}
# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.update_feedback(
  Algolia::AgentStudio::FeedbackUpdateRequest.new(
    message_id: "msg-abc123",
    agent_id: "76710f1b-8231-42e5-b0d1-f43aac618e15"
  )
)


# print the response
puts(response)
```

```scala Scala theme={"system"}
// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
val response = Await.result(
  client.updateFeedback(
    feedbackUpdateRequest = FeedbackUpdateRequest(
      messageId = "msg-abc123",
      agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15"
    )
  ),
  Duration(100, "sec")
)

// print the response
println(response)
```

```swift Swift theme={"system"}
// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")

// Call the API
let response = try await client.updateFeedback(feedbackUpdateRequest: FeedbackUpdateRequest(
    messageId: "msg-abc123",
    agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15"
))

// print the response
print(response)
```

> [card] [See the full API reference](https://www.algolia.com/doc/rest-api/agent-studio/update-feedback.md)
>
> For more details about input parameters
> and response fields.
